* lib/am/configure.am (am__CONFIG_DISTCLEAN_FILES): Add
[automake.git] / tests / yacc2.test
blobe39cb7ac82786dc9fbb462cce60590b79b82692f
1 #! /bin/sh
2 # Copyright (C) 1999, 2001, 2002, 2003 Free Software Foundation, Inc.
4 # This file is part of GNU Automake.
6 # GNU Automake is free software; you can redistribute it and/or modify
7 # it under the terms of the GNU General Public License as published by
8 # the Free Software Foundation; either version 2, or (at your option)
9 # any later version.
11 # GNU Automake is distributed in the hope that it will be useful,
12 # but WITHOUT ANY WARRANTY; without even the implied warranty of
13 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
14 # GNU General Public License for more details.
16 # You should have received a copy of the GNU General Public License
17 # along with Automake; see the file COPYING. If not, write to
18 # the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
19 # Boston, MA 02111-1307, USA.
21 # Test to make sure intermediate .h file is not generated nor removed
22 # if (AM_)?YFLAGS do not contain -d. Requested by Jim Meyering.
24 . ./defs || exit 1
26 set -e
28 cat >> configure.in << 'END'
29 AC_PROG_CC
30 AC_PROG_YACC
31 END
33 cat > Makefile.am <<'END'
34 bin_PROGRAMS = zardoz
35 zardoz_SOURCES = zardoz.y
36 END
38 # Don't redefine several times the same variable.
39 cp Makefile.am Makefile.src
44 $ACLOCAL
45 $AUTOMAKE
47 # If zardoz.h IS mentioned, fail
48 grep 'zardoz.h' Makefile.in > /dev/null && exit 1
52 cp Makefile.src Makefile.am
53 echo 'AM_YFLAGS = -d' >> Makefile.am
55 $AUTOMAKE
57 # If zardoz.h is NOT mentioned, fail
58 grep 'zardoz.h' Makefile.in > /dev/null
62 cp Makefile.src Makefile.am
63 echo 'AM_YFLAGS = ' >> Makefile.am
65 $AUTOMAKE
67 # If zardoz.h IS mentioned, fail
68 grep 'zardoz.h' Makefile.in > /dev/null && exit 1
72 cp Makefile.src Makefile.am
73 echo 'YFLAGS = -d' >> Makefile.am
75 # YFLAGS is a use variable.
76 AUTOMAKE_fails
77 grep 'YFLAGS' stderr
78 $AUTOMAKE -Wno-gnu
80 # If zardoz.h is NOT mentioned, fail
81 grep 'zardoz.h' Makefile.in > /dev/null
85 cp Makefile.src Makefile.am
86 echo 'YFLAGS = ' >> Makefile.am
88 $AUTOMAKE -Wno-gnu
90 # If zardoz.h IS mentioned, fail
91 grep 'zardoz.h' Makefile.in > /dev/null && exit 1